<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CProfile
{
    /**
     * @var int
     */
    private $id;

    /**
     * @var string
     */
    private $desc;

    public function getId(): int
    {
        return $this->id;
    }

    public function withId(int $id): CProfile
    {
        $new = clone $this;
        $new->id = $id;

        return $new;
    }

    public function getDesc(): string
    {
        return $this->desc;
    }

    public function withDesc(string $desc): CProfile
    {
        $new = clone $this;
        $new->desc = $desc;

        return $new;
    }
}
